Package owl.ltl.robust

## Class LabelledSplit

- java.lang.Object
- - owl.ltl.robust.LabelledSplit

-     @Immutable
      public abstract class LabelledSplit
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LabelledSplit()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LabelledFormula` | `always()` |
    `LabelledFormula` | `eventually()` |
    `LabelledFormula` | `eventuallyAlways()` |
    `LabelledFormula` | `infinitelyOften()` |
    `LabelledSplit` | `map​(UnaryOperator<Formula> map)` |
    `static LabelledSplit` | `of​(Split split, List<String> variables)` |
    `LabelledFormula` | `toLtl​(EnumSet<Robustness> robustness)` |
    `String` | `toString()` |
    `abstract List<String>` | `variables()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelledSplit

          public LabelledSplit()

  - ### Method Detail

    - #### variables

          public abstract List<String> variables()

    - #### always

          @Derived
          public LabelledFormula always()

    - #### eventuallyAlways

          @Derived
          public LabelledFormula eventuallyAlways()

    - #### infinitelyOften

          @Derived
          public LabelledFormula infinitelyOften()

    - #### eventually

          @Derived
          public LabelledFormula eventually()

    - #### of

          public static LabelledSplit of​(Split split,
                                         List<String> variables)

    - #### toLtl

          public LabelledFormula toLtl​(EnumSet<Robustness> robustness)

    - #### map

          public LabelledSplit map​(UnaryOperator<Formula> map)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`